## searchmonkey 0.8.3

=== bsdports/Makefile ===
# New ports collection makefile for:	xsearch
# Date created:		26 August 2006
# Whom:			Andrew Pantyukhin <infofarmer@FreeBSD.org>
#
# $FreeBSD: /repoman/r/pcvs/ports/sysutils/xsearch/Makefile,v 1.1 2006/08/26 13:20:28 sat Exp $
#

PORTNAME=	xsearch
PORTVERSION=	0.4.1
CATEGORIES=	sysutils
MASTER_SITES=	SF

MAINTAINER=	cottrela@users.sourceforge.net
COMMENT=	Search using regexes for file names and text

USE_GNOME=	gtk20
USE_GCC=	3.3+
USE_GETTEXT=	yes
GNU_CONFIGURE=	yes
CONFIGURE_ARGS=	--with-libintl-prefix=${LOCALBASE}
PLIST_FILES=	bin/xsearch

.include <bsd.port.mk>

=== pixmaps/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# pixmaps/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/searchmonkey
pkgincludedir = $(includedir)/searchmonkey
pkglibdir = $(libdir)/searchmonkey
pkglibexecdir = $(libexecdir)/searchmonkey
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = pixmaps
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(dist_images_DATA) \
	$(nobase_dist_icons_DATA) $(am__DIST_COMMON)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(imagesdir)" "$(DESTDIR)$(iconsdir)"
DATA = $(dist_images_DATA) $(nobase_dist_icons_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/mkinstalldirs
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/adam/searchmonkey-GTK/missing aclocal-1.15
ALL_LINGUAS = en_GB en_UK en_US fr_FR fr ru_RU
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AUTOCONF = ${SHELL} /home/adam/searchmonkey-GTK/missing autoconf
AUTOHEADER = ${SHELL} /home/adam/searchmonkey-GTK/missing autoheader
AUTOMAKE = ${SHELL} /home/adam/searchmonkey-GTK/missing automake-1.15
AWK = gawk
CATALOGS =  en_GB.gmo en_UK.gmo en_US.gmo fr_FR.gmo fr.gmo ru_RU.gmo
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
GETTEXT_PACKAGE = searchmonkey
GMOFILES =  en_GB.gmo en_UK.gmo en_US.gmo fr_FR.gmo fr.gmo ru_RU.gmo
GMSGFMT = /usr/bin/msgfmt
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
INTLTOOL_EXTRACT = /usr/bin/intltool-extract
INTLTOOL_MERGE = /usr/bin/intltool-merge
INTLTOOL_PERL = /usr/bin/perl
INTLTOOL_UPDATE = /usr/bin/intltool-update
INTLTOOL_V_MERGE = $(INTLTOOL__v_MERGE_$(V))
INTLTOOL_V_MERGE_OPTIONS = $(intltool__v_merge_options_$(V))
INTLTOOL__v_MERGE_ = $(INTLTOOL__v_MERGE_$(AM_DEFAULT_VERBOSITY))
INTLTOOL__v_MERGE_0 = @echo "  ITMRG " $@;
LDFLAGS = 
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/adam/searchmonkey-GTK/missing makeinfo
MKDIR_P = /usr/bin/mkdir -p
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGFMT_OPTS = -c
MSGMERGE = /usr/bin/msgmerge
OBJEXT = o
PACKAGE = searchmonkey
PACKAGE_BUGREPORT = 
PACKAGE_CFLAGS = -pthread -I/usr/lib64/libzip/include -I/usr/include/poppler/glib -I/usr/include/poppler -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/harfbuzz  
PACKAGE_LIBS = -pthread -lzip -lz -lpoppler-glib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfontconfig -lgobject-2.0 -lfreetype -lgthread-2.0 -lglib-2.0  
PACKAGE_NAME = searchmonkey
PACKAGE_STRING = searchmonkey 0.8.3
PACKAGE_TARNAME = searchmonkey
PACKAGE_URL = 
PACKAGE_VERSION = 0.8.3
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POFILES =  en_GB.po en_UK.po en_US.po fr_FR.po fr.po ru_RU.po
POSUB = po
POW_LIB = 
PO_IN_DATADIR_FALSE = 
PO_IN_DATADIR_TRUE = 
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
USE_NLS = yes
VERSION = 0.8.3
XGETTEXT = /usr/bin/xgettext
abs_builddir = /home/adam/searchmonkey-GTK/pixmaps
abs_srcdir = /home/adam/searchmonkey-GTK/pixmaps
abs_top_builddir = /home/adam/searchmonkey-GTK
abs_top_srcdir = /home/adam/searchmonkey-GTK
ac_ct_CC = gcc
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/adam/searchmonkey-GTK/install-sh
intltool__v_merge_options_ = $(intltool__v_merge_options_$(AM_DEFAULT_VERBOSITY))
intltool__v_merge_options_0 = -q
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
iconsdir = $(datadir)/icons/hicolor
nobase_dist_icons_DATA = \
	16x16/apps/searchmonkey.png \
	22x22/apps/searchmonkey.png \
	24x24/apps/searchmonkey.png \
	32x32/apps/searchmonkey.png \
	48x48/apps/searchmonkey.png

imagesdir = $(datadir)/pixmaps/$(PACKAGE)
dist_images_DATA = \
	*.png

gtk_update_icon_cache = gtk-update-icon-cache -f -t $(iconsdir)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu pixmaps/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu pixmaps/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-dist_imagesDATA: $(dist_images_DATA)
	@$(NORMAL_INSTALL)
	@list='$(dist_images_DATA)'; test -n "$(imagesdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(imagesdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(imagesdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(imagesdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(imagesdir)" || exit $$?; \
	done

uninstall-dist_imagesDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(dist_images_DATA)'; test -n "$(imagesdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(imagesdir)'; $(am__uninstall_files_from_dir)
install-nobase_dist_iconsDATA: $(nobase_dist_icons_DATA)
	@$(NORMAL_INSTALL)
	@list='$(nobase_dist_icons_DATA)'; test -n "$(iconsdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(iconsdir)'"; \

## searchmonkey 0.8.1

=== debian/changelog ===
searchmonkey (0.8.1-9) unstable; urgency=low

  [ Benjamin Kerensa ]
  * Add self as co-maintainer

  [ Varun Hiremath ]
  * Fix a typo in the desktop file (Closes: #663661)
  * Add a patch fix-crash.diff to fix crashes, thanks to Peter
    <peter@pblackman.plus.com> (Closes: #625643)
  * Update build.diff patch to fix broken link (Closes: #705849)
  * Update Standards-Version to 3.9.4

 -- Varun Hiremath <varun@debian.org>  Sun, 11 Aug 2013 20:06:47 -0400

searchmonkey (0.8.1-8) unstable; urgency=low

  * Add patches/fix-format-security.diff, thanks to Peter Green
    <plugwash@p10link.net>, fixes FTBFS (Closes: #646490)
  * Bump Standards-Version to 3.9.2
  * Add searchmonkey menu file (Closes: #587793)

 -- Varun Hiremath <varun@debian.org>  Sun, 13 Nov 2011 00:40:42 -0500

searchmonkey (0.8.1-7) unstable; urgency=low

  * Switch to source format 3.0
  * Clean up debian/rules and the build procedure (Closes: #577359)
  * debian/control:
    + Remove Torsten Werner from Uploaders, as requested
    + Bump Standards-Version to 3.8.4
  * Fix debian/copyright

 -- Varun Hiremath <varun@debian.org>  Sun, 11 Apr 2010 20:37:16 -0400

searchmonkey (0.8.1-6) unstable; urgency=low

  * debian/control:
    + Add Homepage header and replace XS-Vcs with Vcs
    + Bump up Standards-Version to 3.7.3
    + Build-Depend on debhelper >= 6
  * debian/compat: Bump to 6
  * Remove encoding field from desktop file

 -- Varun Hiremath <varun@debian.org>  Sat, 19 Jan 2008 12:27:23 +0530

searchmonkey (0.8.1-5) unstable; urgency=low

  * Add searchmonkey.desktop (Closes: #442178)
  * debian/rules: implement get-orig-source

 -- Varun Hiremath <varunhiremath@gmail.com>  Fri, 14 Sep 2007 11:18:18 +0530

searchmonkey (0.8.1-4) unstable; urgency=low

  * Remove config.guess and config.sub in clean target. (Closes: #424265)

 -- Torsten Werner <twerner@debian.org>  Wed, 16 May 2007 19:24:03 +0200

searchmonkey (0.8.1-3) unstable; urgency=low

  * Clean up debian/rules.

 -- Torsten Werner <twerner@debian.org>  Wed,  7 Mar 2007 07:28:49 +0100

searchmonkey (0.8.1-2) unstable; urgency=low

  * Fix a broken symlink in the package. Closes: #413667

 -- Torsten Werner <twerner@debian.org>  Tue,  6 Mar 2007 21:09:19 +0100

searchmonkey (0.8.1-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varunhiremath@gmail.com>  Mon, 12 Feb 2007 21:06:49 +0530

searchmonkey (0.7.3-1) experimental; urgency=low

  * New upstream release

 -- Varun Hiremath <varunhiremath@gmail.com>  Fri,  1 Dec 2006 05:28:27 +0530

searchmonkey (0.7.2-1) experimental; urgency=low

  [ Varun Hiremath ]
  * New upstream release
  * Update debian/watch file

  [ Torsten Werner ]
  * Uploading to experimental because Debian is in soft freeze.

 -- Torsten Werner <twerner@debian.org>  Sun, 19 Nov 2006 10:57:28 +0100

searchmonkey (0.7.1-1) unstable; urgency=low

  * New upstream release
  * Add XS-X-Vcs-Svn header in debian/control
  * Add debian/watch file

 -- Varun Hiremath <varunhiremath@gmail.com>  Fri,  3 Nov 2006 18:20:38 +0530

searchmonkey (0.6.3-1) unstable; urgency=low

  * New upstream release.

 -- Varun Hiremath <varunhiremath@gmail.com>  Sun,  8 Oct 2006 23:51:37 +0530

searchmonkey (0.6.2-1) unstable; urgency=low

  * New upstream release.
  * Add myself to Uploaders: in debian/control.

 -- Torsten Werner <twerner@debian.org>  Fri,  6 Oct 2006 15:43:25 +0200

searchmonkey (0.6.1-1) unstable; urgency=low

  * Initial release (Closes: #386960)

 -- Varun Hiremath <varunhiremath@gmail.com>  Tue, 12 Sep 2006 23:37:57 +0530

=== debian/control ===
Source: searchmonkey
Section: utils
Priority: optional
Maintainer: Varun Hiremath <varun@debian.org>
Uploaders: Benjamin Kerensa <bkerensa@ubuntu.com>
Build-Depends: debhelper (>= 7), cdbs, pkg-config, libgtk2.0-dev
Standards-Version: 3.9.4
Homepage: http://sourceforge.net/projects/searchmonkey/
Vcs-Git: git://git.debian.org/users/varun/searchmonkey.git
Vcs-Browser: http://git.debian.org/?p=users/varun/searchmonkey.git;a=summary

Package: searchmonkey
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: search files using regular expressions aiming to replace find/grep tools
 SearchMonkey is a light-weight Gtk application that aims to replace the
 cumbersome find/grep with a slick user interface that quickly provides a
 mark-up showing locations and quantity of text matches.
 The goal is to provide a simple to use and accessible search tool for
 end-users, and software developers alike.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

install/searchmonkey::
	dh_install debian/searchmonkey.desktop /usr/share/applications/
	dh_install debian/searchmonkey.xpm /usr/share/pixmaps/
	dh_link /usr/share/pixmaps/searchmonkey/searchmonkey-48x48.png /usr/share/pixmaps/searchmonkey.png

get-orig-source:
	-uscan --upstream-version 0 --rename

## searchmonkey 0.8.3

=== debian/changelog ===
searchmonkey (0.8.3-1.2) unstable; urgency=medium

  [ Andreas Rönnquist ]
  * Non-maintainer upload.
  * Add patch to fix implicit declarations (Closes: #1066468)

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat.
  * Bump debhelper from deprecated 9 to 10.
  * Set upstream metadata fields: Archive, Bug-Database, Name (from
    ./configure).

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 21 Apr 2024 22:08:58 +0200

searchmonkey (0.8.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Fix Vcs-* fields. (Closes: #1010243)
  * debian/searchmonkey.desktop: Fix broken icon location. (Closes: #901934)
  * debian/rules: Fix broken pixmap symlink. (Closes: #910424)

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Apr 2022 21:46:44 -0400

searchmonkey (0.8.3-1) unstable; urgency=medium

  * New upstream release
  * d/control: Add Build-Depends intltool, libzip-dev, libpoppler-glib-dev
  * Update Vcs fields to new debian git repository
  * Remove patches that are merged upstream
  * Update debian/compat to 9

 -- Varun Hiremath <varun@debian.org>  Fri, 23 Mar 2018 13:32:19 -0400

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Varun Hiremath <varun@debian.org>
 Uploaders: Benjamin Kerensa <bkerensa@ubuntu.com>
-Build-Depends: debhelper (>= 7), cdbs, pkg-config, libgtk2.0-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 10~), cdbs, pkg-config, libgtk2.0-dev, intltool, libzip-dev, libpoppler-glib-dev
+Standards-Version: 4.1.2
 Homepage: http://sourceforge.net/projects/searchmonkey/
-Vcs-Git: git://git.debian.org/users/varun/searchmonkey.git
-Vcs-Browser: http://git.debian.org/?p=users/varun/searchmonkey.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/searchmonkey.git
+Vcs-Browser: https://salsa.debian.org/debian/searchmonkey
 
 Package: searchmonkey
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

install/searchmonkey::
	dh_install debian/searchmonkey.desktop /usr/share/applications/
	dh_install debian/searchmonkey.xpm /usr/share/pixmaps/
	dh_link usr/share/icons/hicolor/48x48/apps/searchmonkey.png usr/share/pixmaps/searchmonkey.png

get-orig-source:
	-uscan --upstream-version 0 --rename
